%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-compression
Version:    1.6.2
Release:    1%{?dist}
Summary:    Compression middleware for Node.js and Connect
License:    MIT
URL:        https://github.com/expressjs/compression
Source0:    https://github.com/expressjs/compression/archive/%{version}/compression-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(accepts)
BuildRequires:  npm(bytes)
BuildRequires:  npm(compressible)
BuildRequires:  npm(debug)
BuildRequires:  npm(on-headers)
BuildRequires:  npm(vary)

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(supertest)
%endif


%description
%{summary}.


%prep
%autosetup -n compression-%{version}

%nodejs_fixdep bytes '2.x'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/compression
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/compression

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%if 0%{?enable_tests}
mocha --check-leaks --reporter spec
%endif


%files
%doc HISTORY.md README.md
%license LICENSE
%{nodejs_sitelib}/compression


%changelog
* Thu Mar 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 1.6.2-1
- Update to 1.6.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-2
- fix version of npm(bytes) dependency

* Wed Mar 12 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-1
- update to upstream release 1.0.1

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
